The gtk.gdk Class Reference
Prev |  | Next

## The gtk.gdk Class Reference

Table of Contents

gtk.gdk.Atom - an object representing an interned string
gtk.gdk.CairoContext - object providing support for drawing using Cairo (new in PyGTK 2.8)
gtk.gdk.Color - an object holding color information
gtk.gdk.Colormap - a table of color display component values
gtk.gdk.Cursor - standard and pixmap cursors
gtk.gdk.Device - an object for supporting input devices
gtk.gdk.Display - controls the keyboard/mouse pointer grabs and a set of gtk.gdk.Screen objects
gtk.gdk.DisplayManager - maintains a list of all open gtk.gdk.Display objects
gtk.gdk.DragContext - an object containing the drag and drop context data
gtk.gdk.Drawable - a base class for drawing methods
gtk.gdk.Event - an object representing an event from the windowing system
gtk.gdk.GC - objects to encapsulate drawing properties.
gtk.gdk.Image - an area for bit-mapped graphics stored on the X Windows client.
gtk.gdk.Keymap - an object containing mappings of keys to key values.
gtk.gdk.PangoRenderer - an object providing use of Pango in GDK (new in PyGTK 2.8)
gtk.gdk.Pixbuf - an object containing a client side image.
gtk.gdk.PixbufAnimation - an object holding an animation
gtk.gdk.PixbufAnimationIter - an object providing access to the frames of a gtk.gdk.PixbufAnimation
gtk.gdk.PixbufLoader - an object providing application-driven progressive image loading
gtk.gdk.Pixmap - An offscreen gtk.gdk.Drawable
gtk.gdk.Rectangle - an object holding data about a rectangle
gtk.gdk.Region - an object representing a set of pixels on the screen (new in PyGTK 2.10)
gtk.gdk.Screen - an object representing a physical screen
gtk.gdk.Visual - an object containing hardware display information
gtk.gdk.Window - on-screen display areas in the target window system
gtk.gdk Functions - the gtk.gdk module functions
gtk.gdk Constants - the built-in constants of the gtk.gdk module

Prev |  | Next
gtk Constants | Home | gtk.gdk.Atom